require "jose"

module Siren
module Crypto
  
  def self.genkeys
    key = JOSE::JWK.generate_key([:ec, "P-256"])
    return [key, key.to_public]
  end

  def self.encrypt (data)
    @key ||= JOSE::JWK.from_file("public.jwk")
    @key.box_encrypt(data)[0].compact
  end

end
end
